curl "https://api.innova-trading.com/api/external/symbols" \
-H "Authorization: Bearer YOUR_API_KEY"
import requests
response = requests.get(
"https://api.innova-trading.com/api/external/symbols",
headers={"Authorization": "Bearer YOUR_API_KEY"}
)
symbols = response.json()["symbols"]
print(f"Available symbols: {symbols}")
const response = await fetch(
"https://api.innova-trading.com/api/external/symbols",
{
headers: { Authorization: "Bearer YOUR_API_KEY" }
}
);
const { symbols } = await response.json();
console.log("Available symbols:", symbols);
{
"success": true,
"symbols": ["EURUSD", "GBPUSD", "USDJPY", "XAUUSD"],
"timeframes": [1, 5, 15, 60, 240, 1440]
}
Market Data
Available Symbols
Get the list of trading symbols available for your API key
GET
/
api
/
external
/
symbols
curl "https://api.innova-trading.com/api/external/symbols" \
-H "Authorization: Bearer YOUR_API_KEY"
import requests
response = requests.get(
"https://api.innova-trading.com/api/external/symbols",
headers={"Authorization": "Bearer YOUR_API_KEY"}
)
symbols = response.json()["symbols"]
print(f"Available symbols: {symbols}")
const response = await fetch(
"https://api.innova-trading.com/api/external/symbols",
{
headers: { Authorization: "Bearer YOUR_API_KEY" }
}
);
const { symbols } = await response.json();
console.log("Available symbols:", symbols);
{
"success": true,
"symbols": ["EURUSD", "GBPUSD", "USDJPY", "XAUUSD"],
"timeframes": [1, 5, 15, 60, 240, 1440]
}
Overview
Different API key tiers have access to different symbols. Use this endpoint to see which symbols you can access.Request
No parameters required. The response is based on your API key.curl "https://api.innova-trading.com/api/external/symbols" \
-H "Authorization: Bearer YOUR_API_KEY"
import requests
response = requests.get(
"https://api.innova-trading.com/api/external/symbols",
headers={"Authorization": "Bearer YOUR_API_KEY"}
)
symbols = response.json()["symbols"]
print(f"Available symbols: {symbols}")
const response = await fetch(
"https://api.innova-trading.com/api/external/symbols",
{
headers: { Authorization: "Bearer YOUR_API_KEY" }
}
);
const { symbols } = await response.json();
console.log("Available symbols:", symbols);
{
"success": true,
"symbols": ["EURUSD", "GBPUSD", "USDJPY", "XAUUSD"],
"timeframes": [1, 5, 15, 60, 240, 1440]
}
Symbol Availability by Plan
| Symbol | Free | Pro | Enterprise |
|---|---|---|---|
| EURUSD | ✅ | ✅ | ✅ |
| GBPUSD | ❌ | ✅ | ✅ |
| USDJPY | ❌ | ✅ | ✅ |
| XAUUSD | ❌ | ✅ | ✅ |
| All Forex | ❌ | ❌ | ✅ |
| Crypto | ❌ | ❌ | ✅ |
Supported Timeframes
All plans have access to these timeframes:| Timeframe | Minutes | Description |
|---|---|---|
| M1 | 1 | 1 minute |
| M5 | 5 | 5 minutes |
| M15 | 15 | 15 minutes |
| H1 | 60 | 1 hour |
| H4 | 240 | 4 hours |
| D1 | 1440 | 1 day |
Using a symbol not available in your plan will return a
403 Forbidden error with the list of allowed symbols.Error Response
{
"error": "forbidden",
"message": "Symbol BTCUSDT not allowed for your API key",
"allowed_symbols": ["EURUSD", "GBPUSD", "USDJPY", "XAUUSD"]
}
Upgrade to Pro or Enterprise to access more symbols. Contact us at support@innova-trading.com
⌘I